@mixin searchInput {
    background-color: $main-0;
    width: 100%;
    height: 48px;
    border-radius: 8px;
    padding: 16px 12px;
    font-weight: 400; 
    font-size: 13px;
    line-height: 16px;
    border: 1px solid $main-4;
    
    &::placeholder {
        color: $main-6;
    }

    @media (max-width: 576px) {
        height: 40px;
    }
}

@mixin boxShadow {
    box-shadow: 0px 8px 8px $main-2;
}

@mixin scrollbarTransparent {
    scrollbar-width: none;
    
    &::-webkit-scrollbar {
        width: 0px;
        height: 0px;
    }

    &::-webkit-scrollbar-track-piece {
        background-color: transparent;
        -webkit-border-radius: 0;
    }
}

@mixin scrollbarCustom {
    &::-webkit-scrollbar {
        width: 4px;
        height: auto;
    }

    &::-webkit-scrollbar-track-piece {
        background-color: $main-4;
        -webkit-border-radius: 8px;
    }

    &::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: $main-7;
    }

    scrollbar-width: 4px;
    scrollbar-color: $main-7 $main-4;
}

@mixin scrollbarCustom2 {
    &::-webkit-scrollbar {
        width: 10px;
        height: 10px;
    }

    &::-webkit-scrollbar-track-piece {
        background-color: $main-4;
        -webkit-border-radius: 8px;
        height: 10px;
    }

    &::-webkit-scrollbar-thumb {
        border-radius: 10px;
        -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
        background-color: $main-7;
    }

    scrollbar-width: 10px;
    scrollbar-color: $main-7 $main-4;
} 
    
@mixin menuComponent {
    display: flex;
    align-items: center;
    position: relative;
    background-color: $main-4;
    color: $main-8;
    font-style: normal;
    white-space: nowrap;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    height: 48px;
    grid-gap: 10px;
    padding: 12px 12px;
    border-radius: 8px;
    z-index: 1;

    @media (max-width: 1024px) {
        height: auto;
        background-color: transparent;
        flex-direction: column;
        align-items: center;
        grid-gap: 5px;
    }

    @media (max-width: 576px) {
        grid-gap: 2px;
        padding: 12px 6px;
    }

    .prompt {
        font-weight: 500;
        font-size: 10px;
        line-height: 16px;
        opacity: 0;
        visibility: hidden;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        bottom: 0;
        text-transform: uppercase;
        background-color: $main-8;
        color: $main-4;
        padding: 2px 6px;
        border-radius: 4px;
        transition: 0.3s ease;
        bottom: -50px;

        @media (max-width: 1024px) {
            position: relative;
            visibility: visible;
            opacity: 1;
            background-color: inherit;
            color: inherit;
            top: 0;
        }

        @media (max-width: 576px) {
            font-size: 8px;
        }

        .figure {
            position: absolute;
            top: -4px;
            left: 50%;
            transform: translateX(-50%);

            @media (max-width: 1024px) {
                display: none;
            }
        }
    }

    &:hover {
        background-color: $main-8;
        color: $main-4;
        
        @media (max-width: 1024px) {
            background-color: inherit;
            color: inherit;
        }

        .prompt {
            opacity: 1;
            visibility: visible;
            bottom: -30px;
            
            @media (max-width: 1024px) {
                bottom: 0;
            }
        }

        .component__icon {
            .hover__icon {
                stroke: $main-4;

                @media (max-width: 1024px) {
                    stroke: $main-8;
                }
            }
        }
    }
}

@mixin notificationButton {
    &::before {
        position: absolute;
        top: -5px;
        right: -5px;
        content: "";
        width: 14px;
        height: 14px;
        border-radius: 100%;
        background-color: $red-3;
        border: 2px solid $main-4;
    }
}

@mixin cartLink {
    @media (max-width: 1024px) {
        font-weight: 500;
        font-size: 10px;
        line-height: 16px;
        text-transform: uppercase;
        position: relative;
        justify-content: center;

        .cart__counter {
            display: flex;
            align-items: center;
            justify-content: center;
            position: absolute;
            top: 10px;
            right: 10px;
            background-color: $red-3;
            border-radius: 100%;
            color: transparent;
            width: 10px;
            height: 10px;
            font-size: 0;
            text-indent: -99px;

            .counter__number {
                color: $main-0;
            }

        }
    }

    @media (max-width: 576px) {
        font-size: 8px;
    }
}

@mixin profileVerification {
    display: flex;
    align-items: center;
    width: max-content;
    height: max-content;
    grid-gap: 3px;
    font-style: normal;
    font-weight: 500;
    font-size: 10px;
    line-height: 8px;
    color: $main-8;
    background-color: $main-4;
    padding: 4px 6px 4px 4px;
    border-radius: 32px;
}

@mixin asideLink {
    display: flex;
    align-items: center;
    grid-gap: 8px;
    font-style: normal;
    font-weight: 600;
    font-size: 13px;
    line-height: 24px;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    color: $main-8;
    padding: 8px;
    border-radius: 8px;
}

@mixin asideSubLink {
    display: flex;
    padding: 8px 10px;
    width: 100%;
    border-radius: 8px;
    color: $main-8;
    font-style: normal;
    font-weight: 600;
    font-size: 10px;
    line-height: 24px;
    letter-spacing: 0.02em;
    text-transform: uppercase;
    height: 0;

    &:last-child {
        margin-bottom: 8px;
    }

    &:hover {
        background-color: $main-8;
        color: $main-0;
    }
}

@mixin breadcrumbLink {
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    position: relative;

    &:before {
        position: absolute;
        top: -1px;
        right: -22px;
    }
    
    &:not(:last-child) {
        color: $main-7;
        margin-right: 24px;

    }

    &:nth-last-child(n+3) {
        &::before {
            content: url('../img/svg/arrow-active-breadcrumb.svg');
        }
    }

    &:nth-last-child(2) {
        &::before {
            content: url('../img/svg/arrow-hidden-breadcrumb.svg');
        }
    }

    &:last-child {
        color: $main-6;
        cursor: not-allowed;
    }
}

@mixin datalistTitle {
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px;
    color: $main-7;
    background-color: $main-2;
    padding: 8px;
}


@mixin itemName {
    font-family: 'Ubuntu';
    width: fit-content;
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    line-height: 16px;
    color: $main-8;
    margin-bottom: 2px;

    @media (max-width: 768px) {
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        margin-bottom: 4px;
    }

    @media (max-width: 425px) {
        -webkit-line-clamp: 1;
    }
}

@mixin addPhoto {
    display: flex;
    align-items: center;
    grid-gap: 16px;

    .add__text {
        display: flex;
        flex-direction: column;
        grid-gap: 4px;

        .edit__text {
            font-style: normal;
            font-weight: 400;
            font-size: 14px;
            line-height: 16px;
            color: $main-8;
        }

        .format__text {
            font-style: normal;
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            color: $main-6;
        }
    }
}

@mixin formInputDisable {
    &::placeholder {
        color: $main-6;
    }
}

// table // 

@mixin thead {
    background-color: $main-2;
    font-style: normal;
    font-weight: 400 !important;
    font-size: 10px;
    line-height: 12px;
    color: $main-8;
    text-transform: uppercase;

    tr {
        th {
            // padding: 14px 12px;
            font-weight: 400;
            padding: 8px;

            @media (max-width: 768px) {
                padding: 14px 8px;
            }

            &:not(:last-child) {
                border-right: 1px solid $main-4;
            }
        }
    }
}

@mixin tbody {
    text-align: left;
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    line-height: 20px;
    background-color: $main-0;

    tr {

        td {
            padding: 8px;
            border-top: 1px solid $main-4;

            &:not(:last-child) {
                border-right: 1px solid $main-4;

                @media (max-width: 768px) {
                    border-right: none;
                }
            }

            @media (max-width: 425px) {
                padding: 10px;
            }  
        }

        &:hover {
            background-color: $main-3;
        }

        @media (max-width: 576px) {
            display: flex;
            width: 100%;
            flex-wrap: wrap;
            
            td {
                border: none;
               
                &:nth-child(3) {
                    order: 4;
                    width: 100%;
                }
            }
        }

        @media (max-width: 425px) {
            td {
                &:nth-child(3) {
                    width: auto;
                }
            }
        }
    }
}

@mixin nameLogo {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    font-style: normal;
    font-weight: 700;
    font-size: 13px;
    line-height: 16px;
    width: 40px;
    height: 40px;
    padding: 12px;
    color: $main-8;
    background-color: $main-4;
}

@mixin promotionTime {
    position: absolute;
    padding: 0 4px;
    top: -8px;
    left: 8px;
    z-index: 1;
    font-style: normal;
    font-weight: 500;
    font-size: 8px;
    line-height: 16px;
    color: $main-0;
    background-color: $purple-1;
    border-radius: 4px;
    transition: 0.3s ease;
}

@mixin filterTableInput {
    width: 176px;
    padding: 15px 10px;
    border-radius: 8px;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color: $main-6;
    border: 1px solid $main-4;
    transition: 0.3s ease;
    cursor: pointer;

    &::placeholder {
        font-weight: 400;
        font-size: 13px;
        line-height: 16px;
        color: $main-6;
    }
}

@mixin appealFile {
    display: flex;
    align-items: center;
    grid-gap: 12px;
    padding: 12px;
    border-radius: 8px;
    background-color: $main-0;

    .file__wrapper {
        grid-gap: 4px;

        .file__name {
            font-style: normal;
            font-weight: 400;
            font-size: 14px;
            line-height: 16px;
            color: $main-8;
        }
    
        .file__value {
            font-style: normal;
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            color: $main-6;
        }
    }
}

@mixin uploadField {
    display: flex;
    flex-direction: column;
    grid-gap: 4px;
    align-items: center;
    justify-content: center;
    background-color: $main-3;
    height: 120px;
    padding: 24px;
    border-radius: 8px;
    text-align: center;

    .upload__text {
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        color: $main-8;

        span {
            position: relative;
            text-decoration: underline;
            cursor: pointer;

            input {
                opacity: 0;
                position: absolute;
                top: 0;
                width: 100%;
                height: 100%;
                left: 0;
            }
        }
    }

    .upload__clue {
        font-style: normal;
        font-weight: 500;
        font-size: 12px;
        line-height: 16px;
        color: $main-6;
    }
}

@mixin downloadField {
    background-color: $main-3;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px;
    border-radius: 8px;

    @media (max-width: 576px) {
        flex-direction: column;
        grid-gap: 16px;
    }

    .download__text {
        font-weight: 400;
        font-size: 14px;
        line-height: 16px;
        color: $main-8;
    }
}


@mixin warning {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border-radius: 8px;
    grid-gap: 8px;
    padding: 12px;
    background-color: $red-0;
    color: $purple-1;
    font-style: normal;
    font-weight: 700;
    font-size: 10px;
    line-height: 16px;
    text-transform: uppercase;
    width: 100%;

    @media (max-width: 576px) {
        padding: 8px;
    }

    span {
        display: flex;
    }
}


@mixin clueContent {
    display: flex;
    flex-direction: column;
    grid-gap: 12px;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: $main-8;

    ol {
        padding-left: 24px;
       
        li {
            margin: 12px 0;
        }
    }

    ul {
        padding-left: 8px;
    }
}


@mixin calendarDay {
    padding: 14px 0;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
    color: $main-8;
    background-color: $main-2;
    border-radius: 8px;

    @media (max-width: 1024px) {
        padding: 13px 0;
    }
}

// hovers //

@mixin redHover {
    transition: 0.3s ease;

    &:hover {
        color: $main-7;
    }
}

@mixin infoTextRed {
    font-size: 8px;
    font-weight: 500;
    line-height: 16px;
    letter-spacing: 0.16px;
    padding: 4px;
    background-color: $purple-1;
    color: $main-0;
    border-radius: 4px;
    position: relative;
    top: -2px;
}

@mixin infoTextBlack {
    font-size: 8px;
    font-weight: 500;
    line-height: 16px;
    letter-spacing: 0.16px;
    padding: 4px;
    color: $main-0;
    background-color: $main-8;
    border-radius: 4px;
    position: relative;
    top: -2px;
}

@mixin redHover {
    transition: 0.3s ease;

    &:hover {
        color: $main-7;
    }
}

